rubygem-cancan-testsuite-1.6.10-5.15.x86_64.rpm


Advertisement

Description

rubygem-cancan-testsuite - Test suite for cancan

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename rubygem-cancan-testsuite-1.6.10-5.15.x86_64.rpm
Package name rubygem-cancan-testsuite
Package version 1.6.10
Package release 5.15
Package architecture x86_64
Package type rpm
Category Development/Languages/Ruby
Homepage http://github.com/ryanb/cancan
License MIT
Maintainer -
Download size 23.78 KB
Installed size 83.11 KB
Test::Unit or RSpec files, useful for developers.

Alternatives

Package Version Architecture Repository
rubygem-cancan-testsuite-1.6.10-5.15.i586.rpm 1.6.10 i586 openSUSE Oss
rubygem-cancan-testsuite - - -

Requires

Name Value
rubygem-cancan = 1.6.10

Provides

Name Value
rubygem-cancan-testsuite = 1.6.10-5.15
rubygem-cancan-testsuite(x86-64) = 1.6.10-5.15

Download

Type URL
Mirror widehat.opensuse.org
Binary Package rubygem-cancan-testsuite-1.6.10-5.15.x86_64.rpm
Source Package rubygem-cancan-1.6.10-5.15.src.rpm

Install Howto

Install rubygem-cancan-testsuite rpm package:

# zypper install rubygem-cancan-testsuite

Files

Path
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/README.rdoc
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/matchers.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/spec.opts
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/spec_helper.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/ability_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/controller_additions_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/controller_resource_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/exceptions_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/inherited_resource_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/matchers_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/rule_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/model_adapters/active_record_adapter_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/model_adapters/data_mapper_adapter_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/model_adapters/default_adapter_spec.rb
/usr/lib64/ruby/gems/2.6.0/gems/cancan-1.6.10/spec/cancan/model_adapters/mongoid_adapter_spec.rb

Changelog

2013-05-27 - coolo@suse.com
- updated to version 1.6.10
* fix matches_conditons_hash for string values on 1.8 (thanks rrosen)
* work around SQL injection vulnerability in older Rails versions (thanks steerio) - issue #800
* add support for nested join conditions (thanks yuszuv) - issue #806
* fix load_resource "find_by" in mongoid resources (thanks albertobajo) - issue #705
* fix namespace split behavior (thanks xinuc) - issue #668
* fix inserting AND (NULL) to end of SQL queries (thanks jonsgreen) - issue #687
* fix merge_joins for nested association hashes (thanks DavidMikeSimon) - issues #655, #560
* raise error on recursive alias_action (thanks fl00r) - issue #660
* fix namespace controllers not loading params (thanks andhapp) - issues #670, #664
2012-08-01 - coolo@suse.com
- updated to version 1.6.8
2012-01-18 - mrueckert@suse.de
- update to version 1.6.7
see /usr/lib*/ruby/gems/1.8/gems/cancan-1.6.7/CHANGELOG.rdoc
2010-06-11 - mrueckert@suse.de
- update to version 1.1.1
* Fixing behavior in Rails 3 by properly initializing
ResourceAuthorization
- additional changes from version 1.1.0
* Supporting arrays, ranges, and nested hashes in ability
conditions
* Removing "unauthorized!" method in favor of "authorize!" in
controllers
* Adding action, subject and default_message abilities to
AccessDenied exception - see issue #40
* Adding caching to current_ability controller method, if you're
overriding this be sure to add caching too.
* Adding "accessible_by" method to Active Record for fetching
records matching a specific ability
* Adding conditions behavior to Ability#can and fetch with
Ability#conditions - see issue #53
* Renaming :class option to :resource for
load_and_authorize_resource which now supports a symbol for non
models - see issue #45
* Properly handle Admin::AbilitiesController in
params[:controller] - see issue #46
* Adding be_able_to RSpec matcher (thanks dchelimsky), requires
Ruby 1.8.7 or higher - see issue #54
* Support additional arguments to can? which get passed to the
block - see issue #48
2010-06-11 - mrueckert@suse.de
- use rubygems_requires macro
2010-01-06 - prusnak@suse.cz
- updated to 1.0.2
2009-12-16 - mrueckert@suse.de
- initial package of version 1.0.0

See Also

Package Description
rubygem-docker-api-1.13.2-1.12.i586.rpm A simple REST client for the Docker Remote API
rubygem-docker-api-1.13.2-1.12.x86_64.rpm A simple REST client for the Docker Remote API
rubygem-docker-api-doc-1.13.2-1.12.i586.rpm RDoc documentation for docker-api
rubygem-docker-api-doc-1.13.2-1.12.x86_64.rpm RDoc documentation for docker-api
rubygem-docker-api-testsuite-1.13.2-1.12.i586.rpm Test suite for docker-api
rubygem-docker-api-testsuite-1.13.2-1.12.x86_64.rpm Test suite for docker-api
rubygem-gettext_activerecord-2.1.0-17.15.i586.rpm Localization support for ActiveRecord by Ruby-GetText-Package
rubygem-gettext_activerecord-2.1.0-17.15.x86_64.rpm Localization support for ActiveRecord by Ruby-GetText-Package
rubygem-gettext_activerecord-doc-2.1.0-17.15.i586.rpm RDoc documentation for gettext_activerecord
rubygem-gettext_activerecord-doc-2.1.0-17.15.x86_64.rpm RDoc documentation for gettext_activerecord
rubygem-gettext_activerecord-testsuite-2.1.0-17.15.i586.rpm Test suite for gettext_activerecord
rubygem-gettext_activerecord-testsuite-2.1.0-17.15.x86_64.rpm Test suite for gettext_activerecord
rubygem-libguestfs-1.38.0-7.1.x86_64.rpm Ruby bindings for libguestfs
rubygem-libwebsocket-0.1.8-5.15.i586.rpm Universal Ruby library to handle WebSocket protocol
rubygem-libwebsocket-0.1.8-5.15.x86_64.rpm Universal Ruby library to handle WebSocket protocol
Advertisement
Advertisement